/*************************************************************************
 * Copyright (c) 1999 - 2000, Borst Automation, Fachingen 
 * All rights reserved
 *
 * Filename:  TestDll.h
 * Project:   HART
 * Date:      Aug-24-99
 * Author(s): W. Borst
 *
 * Revision:
 * Date:      Name:       Version:  Description:
 * Aug-24-99  W. Borst    -----     Initial Draft
 * Jul-29-00  W. Borst    100000    Changes for Project li001/00
 *
 * Description: Used to generate a DLL for testing the Hart Slave.
 *
 *************************************************************************/
#ifndef __testdll_h__
#define __testdll_h__
#ifdef __TESTDLL_H__
  #include <String.h>
  #include "..\Common\Types.h"
  #include "..\Common\MemDecls.h"
  #include "..\Common\Hart.h"
  #include "..\Protocol\HartLoL.h"
  #include "..\Api\UserApi.h"
  #include "..\Api\HartApi.h"
  #include "..\Common\FbInit.h"
  #include "..\HrtSrvIn\HrtSrvIn.h"
  #include "..\Common\PcComPrt.h"
  
  #define T_DllExport extern __declspec(dllexport)
#else
  #define T_DllExport extern "C" __declspec(dllexport)
#endif

T_DllExport VOID StartHartSimulation(VOID);
T_DllExport VOID EndHartSimulation(VOID);
T_DllExport VOID RunHartCommandInterpreter(VOID);

#endif